petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecRestoreArrayReadInPlace

Restore array obtained with VecGetArrayReadInPlace()

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayReadInPlace(Vec x,const PetscScalar **a)

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### See Also

VecGetArrayReadInPlace(), VecRestoreArrayInPlace(), VecGetArray(), VecRestoreArray(), VecGetArrayPair(), VecRestoreArrayPair()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages